Passa al contenuto principale

Check if server can stop

GET 

/api/v3/servers/:server_id/can-stop

Required scopes: server:read

Whether the server can be stopped now with POST /api/v3/servers/{server_id}/power-actions and action stop. can_action is false for a physical server, which only has reboot, and for the server of a private cloud; also while the server is not ready, its service is not active or is under maintenance, another operation does not allow the action, or the virtual machine is already stopped

Request​

Responses​

OK